
Installer - Tracker #31386

Default to TLS 1.2+

11/24/2020 04:57 PM - Ewoud Kohl van Wijngaarden

Status: Resolved % Done: 100%

Priority: Normal   

Assignee:    

Category:    

Target version: 2.4.0   

Difficulty:  Fixed in Releases: 2.4.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Description

Clients needing these old versions are going EOL. The ecosystem is ready for TLS 1.2+ by default. This makes it easier for

organizations to comply with PCI-DSS and similar stricter policies.

This is a tracker to relate issues to.

Subtasks:

Feature # 31385: Disable weak ciphers in qpid-router Closed

Feature # 31387: Disable TLS 1.0 and 1.1 by default in Apache Closed

Refactor # 31435: Drop ssl_protocol parameter on foreman_proxy_content Closed

Related issues:

Related to Smart Proxy - Feature #29252: Stop accepting TLS 1.1 connections Closed

History

#1 - 01/12/2021 06:07 PM - Ewoud Kohl van Wijngaarden

- Status changed from New to Resolved

- Triaged changed from No to Yes

- Fixed in Releases 2.4.0 added

All dependent issues have been resolved so I'm marking this as resolved.

#2 - 03/18/2021 02:56 PM - Amit Upadhye

- Category set to Foreman modules

#3 - 03/18/2021 03:11 PM - Ewoud Kohl van Wijngaarden

- Category deleted (Foreman modules)

This explicitly didn't have a category since it wasn't limited to just Foreman Modules.

#4 - 03/18/2021 05:01 PM - Ewoud Kohl van Wijngaarden

- Related to Feature #29252: Stop accepting TLS 1.1 connections added
